gr::mapper::mapper_msg_impl Class Reference

`#include <mapper_msg_impl.h>`

Inheritance diagram for gr::mapper::mapper_msg_impl:
[legend]

## Public Member Functions

| mapper_msg_impl (modtype_t modtype, std::vector< int > symbol_values)
| ~mapper_msg_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::mapper::mapper_msg
typedef boost::shared_ptr< mapper_msg > | sptr
Static Public Member Functions inherited from gr::mapper::mapper_msg
static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::mapper_msg.

## Constructor & Destructor Documentation

## mapper_msg_impl()

gr::mapper::mapper_msg_impl::mapper_msg_impl | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values )

## ~mapper_msg_impl()

gr::mapper::mapper_msg_impl::~mapper_msg_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::mapper::mapper_msg_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- mapper_msg_impl.h